Bug 188387 - The man page for "booleans" does not reflect reality in FC5.
Summary: The man page for "booleans" does not reflect reality in FC5.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-doc   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-08 22:06 UTC by Bruno Wolff III
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-11 18:57:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bruno Wolff III 2006-04-08 22:06:40 UTC
Description of problem:
The following output of "man booleans" is incorrect as far as I can tell:
These  default  values can be overridden at boot-time based on the set-
tings in the /etc/selinux/SELINUXTYPE/booleans file, where  SELINUXTYPE
is  the  type of policy currently being run on the system as defined in
the /etc/selinux/config  file.   The  system-config-securitylevel  tool
provides  an  interface  for  altering  the settings in this file.

There is no file named /etc/selinux/SELINUXTYPE/booleans on my fc5 systems.
And you can't use system-config-securitylevel from a shell prompt in a terminal
window to edit selinux settings. (Which I reported as a separate bug, assuming
that it is supposed to allow that.)


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. man booleans
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Bruno Wolff III 2006-04-08 22:25:15 UTC
The man page also omits saying that setsebool -P can be used to set booleans
persistantly (accross reboots).

Comment 2 Daniel Walsh 2006-04-11 18:57:11 UTC
Fixed in 1.30.1-2 in rawhide.

Next time I update FC5 with the tool chain I will put this fix in it.



Note You need to log in before you can comment on or make changes to this bug.